=== src/unittests/testtrackingdatareader/Makefile ===
#############################################################################
# Makefile for building: testtrackingdatareader
# Generated by qmake (2.01a) (Qt 4.3.4) on: Wed Nov 5 13:33:36 2008
# Project:  testtrackingdatareader.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile testtrackingdatareader.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_SHARED -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB
CFLAGS        = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -fpermissive -g -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I/usr/include/qt4/QtTest -I. -I../../src -I. -I.
LINK          = g++
LFLAGS        = -Wl,--no-undefined
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtTest -lQtXml -lQtGui -lQtCore -lpthread
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = testtrackingdatareader.cpp \
		../../src/trackingdatareader.cpp \
		../../src/trackpoint.cpp moc_testtrackingdatareader.cpp
OBJECTS       = testtrackingdatareader.o \
		trackingdatareader.o \
		trackpoint.o \
		moc_testtrackingdatareader.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/qtestlib.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		testtrackingdatareader.pro
QMAKE_TARGET  = testtrackingdatareader
DESTDIR       = 
TARGET        = testtrackingdatareader

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: testtrackingdatareader.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/qtestlib.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf
	$(QMAKE) -unix -o Makefile testtrackingdatareader.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/debug.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/qtestlib.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile testtrackingdatareader.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/testtrackingdatareader1.0.0 || $(MKDIR) .tmp/testtrackingdatareader1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/testtrackingdatareader1.0.0/ && $(COPY_FILE) --parents testtrackingdatareader.h ../../src/trackingdatareader.h ../../src/trackpoint.h .tmp/testtrackingdatareader1.0.0/ && $(COPY_FILE) --parents testtrackingdatareader.cpp ../../src/trackingdatareader.cpp ../../src/trackpoint.cpp .tmp/testtrackingdatareader1.0.0/ && (cd `dirname .tmp/testtrackingdatareader1.0.0` && $(TAR) testtrackingdatareader1.0.0.tar testtrackingdatareader1.0.0 && $(COMPRESS) testtrackingdatareader1.0.0.tar) && $(MOVE) `dirname .tmp/testtrackingdatareader1.0.0`/testtrackingdatareader1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/testtrackingdatareader1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_testtrackingdatareader.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_testtrackingdatareader.cpp
moc_testtrackingdatareader.cpp: testtrackingdatareader.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) testtrackingdatareader.h -o moc_testtrackingdatareader.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

testtrackingdatareader.o: testtrackingdatareader.cpp testtrackingdatareader.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o testtrackingdatareader.o testtrackingdatareader.cpp

trackingdatareader.o: ../../src/trackingdatareader.cpp ../../src/gpxhandler.h \
		../../src/poi.h \
		../../src/poicategory.h \
		../../src/trackingdatareader.h \
		../../src/trackpoint.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o trackingdatareader.o ../../src/trackingdatareader.cpp

trackpoint.o: ../../src/trackpoint.cpp ../../src/trackpoint.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o trackpoint.o ../../src/trackpoint.cpp

moc_testtrackingdatareader.o: moc_testtrackingdatareader.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_testtrackingdatareader.o moc_testtrackingdatareader.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:
