=== debian/changelog ===
qtmapper (1.0-0maemo0) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Antero Lehtonen <antero.lehtonen@ixonos.com>  Thu, 27 Nov 2008 10:39:15 +0200
