=== debian/control ===
Source: qtmapper
Section: user/other
Priority: optional 
Maintainer: AL <xxxxxxx.xxxxxx@maemo.org>
Build-Depends: debhelper (>= 5), libqt4-gui (>=4.4),libqt4-sql(>=4.4), libqt4-core(>=4.4), libqt4-sql-sqlite(>=4.4), libqt4-sql-sqlite2(>=4.4), libqt4-network(>=4.4), libqt4-xml(>=4.4), libqt4-dev(>=4.4), libgpsbt, libgpsmgr, libgpsbt-dev, libgpsmgr-dev
Standards-Version: 3.7.3

Package: qtmapper
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt Mapper is GPS navigation application developed for the Nokia N810 Internet Tablet
